package com.hzya.frame.mdm.mdmModuleDistribute.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.mdm.mdmModuleDistributeDetail.entity.MdmModuleDistributeDetailEntity;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据功能应用分发表(MdmModuleDistribute)实体类
 *
 * @author makejava
 * @since 2024-06-18 11:39:46
 */
public class MdmModuleDistributeEntity extends BaseEntity {

  /**  主数据模版ID */
   private String mdmId;
  /**  应用id */
   private String appId;
  /**  应用id */
   private Long mdmCode;
  /**  触发类型 0、手动1、自动 */
   private String enabledType;
  /**  修改接口 */
   private String updateApi;
  /**  修改插件 */
   private String updateScript;
  /**  新增接口 */
   private String addApi;
  /**  新增插件 */
   private String addScript;
  /**  删除接口 */
   private String deleteApi;
  /**  删除插件 */
   private String deleteScript;
  /**  启用停用 0、停用1、启用 */
   private String enabledState;
  /**  主表ID */
   private String dbId;
  /**  公司id */
   private String companyId;
  /**  公司id */
   private List<MdmModuleDistributeDetailEntity> mdmModuleDistributeDetailEntities;

    public Long getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(Long mdmCode) {
        this.mdmCode = mdmCode;
    }

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getEnabledType() {
        return enabledType;
    }

    public void setEnabledType(String enabledType) {
        this.enabledType = enabledType;
    }

    public String getUpdateApi() {
        return updateApi;
    }

    public void setUpdateApi(String updateApi) {
        this.updateApi = updateApi;
    }

    public String getUpdateScript() {
        return updateScript;
    }

    public void setUpdateScript(String updateScript) {
        this.updateScript = updateScript;
    }

    public String getAddApi() {
        return addApi;
    }

    public void setAddApi(String addApi) {
        this.addApi = addApi;
    }

    public String getAddScript() {
        return addScript;
    }

    public void setAddScript(String addScript) {
        this.addScript = addScript;
    }

    public String getDeleteApi() {
        return deleteApi;
    }

    public void setDeleteApi(String deleteApi) {
        this.deleteApi = deleteApi;
    }

    public String getDeleteScript() {
        return deleteScript;
    }

    public void setDeleteScript(String deleteScript) {
        this.deleteScript = deleteScript;
    }

    public String getEnabledState() {
        return enabledState;
    }

    public void setEnabledState(String enabledState) {
        this.enabledState = enabledState;
    }

    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public List<MdmModuleDistributeDetailEntity> getMdmModuleDistributeDetailEntities() {
        return mdmModuleDistributeDetailEntities;
    }

    public void setMdmModuleDistributeDetailEntities(List<MdmModuleDistributeDetailEntity> mdmModuleDistributeDetailEntities) {
        this.mdmModuleDistributeDetailEntities = mdmModuleDistributeDetailEntities;
    }


}

